<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="namespace">
    <name>KWallet</name>
    <filename>namespaceKWallet.html</filename>
    <class kind="class">KWallet::Wallet</class>
    <member kind="variable" static="yes">
      <type>static const char *const</type>
      <name>Wallet_ftable</name>
      <anchorfile>namespaceKWallet.html</anchorfile>
      <anchor>fe5569a15bb5701059cc99f79073c383</anchor>
      <arglist>[6][3]</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const int</type>
      <name>Wallet_ftable_hiddens</name>
      <anchorfile>namespaceKWallet.html</anchorfile>
      <anchor>2a872041d4739a903690a30a41737860</anchor>
      <arglist>[5]</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KWallet::Wallet</name>
    <filename>classKWallet_1_1Wallet.html</filename>
    <base>QObject</base>
    <base>DCOPObject</base>
    <member kind="enumeration">
      <name>EntryType</name>
      <anchor>3fd646492d97e1e675073290e4fdb1df</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Unknown</name>
      <anchor>3fd646492d97e1e675073290e4fdb1df33c2ebd15da5404b589856fef2eed07a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Password</name>
      <anchor>3fd646492d97e1e675073290e4fdb1df26a7e7d9b2e1ac4476a7dced8f38946e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Stream</name>
      <anchor>3fd646492d97e1e675073290e4fdb1dff29afd2ac0057cd8558629a75008e443</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Map</name>
      <anchor>3fd646492d97e1e675073290e4fdb1dff2242b3b6876144f82f50ffc755208bc</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Unused</name>
      <anchor>3fd646492d97e1e675073290e4fdb1dfcf64c82ed59d7c193e25dd33509595ab</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>OpenType</name>
      <anchor>0d50ed09a4b38171611785ba67902932</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Synchronous</name>
      <anchor>0d50ed09a4b38171611785ba679029323076516c23d4ae7f5a98b129cce52de1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Asynchronous</name>
      <anchor>0d50ed09a4b38171611785ba67902932936e3a7c33a31f610df0706982dd0425</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Path</name>
      <anchor>0d50ed09a4b38171611785ba67902932ff7b3cc9636ef52d92e7f2d7b5abad5f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>OpenTypeUnused</name>
      <anchor>0d50ed09a4b38171611785ba679029325c0c1ff96619e3b48e8ee47d7b365c99</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>walletClosed</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>b7d16aa68f685e5bed6ea485c80158fd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>folderUpdated</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>51f0d7ba44166689251219c8c4d6918c</anchor>
      <arglist>(const QString &amp;folder)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>folderListUpdated</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>600d28ade2edaf90594dd0fa9a380c25</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>folderRemoved</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>82ef347d8f4c3eeb10385aebd0035cdb</anchor>
      <arglist>(const QString &amp;folder)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>walletOpened</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>5ad6662077579d914e061fc5fac6eaf5</anchor>
      <arglist>(bool success)</arglist>
    </member>
    <member kind="dcop">
      <type>ASYNC</type>
      <name>slotWalletClosed</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>92a61a9235a2be1a96d4a1c480704e17</anchor>
      <arglist>(int handle)</arglist>
    </member>
    <member kind="dcop">
      <type>ASYNC</type>
      <name>slotFolderUpdated</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>fb7dbe819961c7a25a8b6f947b4902a8</anchor>
      <arglist>(const QString &amp;wallet, const QString &amp;folder)</arglist>
    </member>
    <member kind="dcop">
      <type>ASYNC</type>
      <name>slotFolderListUpdated</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>682efb49f1f2d40e78f525d8be333e20</anchor>
      <arglist>(const QString &amp;wallet)</arglist>
    </member>
    <member kind="dcop">
      <type>ASYNC</type>
      <name>slotApplicationDisconnected</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>7afe3a8f1323f65806b0595268a26133</anchor>
      <arglist>(const QString &amp;wallet, const QCString &amp;application)</arglist>
    </member>
    <member kind="dcop">
      <type>ASYNC</type>
      <name>walletOpenResult</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>c0df5acc894b4f04d5497eadd5cd17ed</anchor>
      <arglist>(int rc)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Wallet</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>f52644e4d71b7df8706376a32658312b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>sync</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>8e649da59657ead378abeba47c6c310e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>lockWallet</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>ee8ccdbdf6da40d3cc1e39a20eb8b559</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const QString &amp;</type>
      <name>walletName</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>7e303bcbca98091a54b6387bc75e28f3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isOpen</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>076c10a3730d9a5aeba41764c59af92b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>requestChangePassword</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>c00a94baaad45d9782b01d1d9839f681</anchor>
      <arglist>(WId w=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>folderList</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>67fa9d390231523579fd5d9247f3855e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>hasFolder</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>42082477099d8f5e0042b207b736501f</anchor>
      <arglist>(const QString &amp;f)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>setFolder</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>b243ee851a54a22ae6b7aed3494b46ad</anchor>
      <arglist>(const QString &amp;f)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>removeFolder</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>51584b0124b10c5b59b9be2c1f363724</anchor>
      <arglist>(const QString &amp;f)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>createFolder</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>1c6ec4d567022c7b38b22585dd8ca57c</anchor>
      <arglist>(const QString &amp;f)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const QString &amp;</type>
      <name>currentFolder</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>b1a2372d9507da03921d651dd1cc0d46</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>entryList</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>584364f6ed58a45c7053aea76b6a461f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>renameEntry</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>84faebfcce46d0631c74a4b55dda88ad</anchor>
      <arglist>(const QString &amp;oldName, const QString &amp;newName)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>readEntry</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>1531000536923a806974fe403388dea9</anchor>
      <arglist>(const QString &amp;key, QByteArray &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>readMap</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>165abb471908bdabe900c8d43fc4d48f</anchor>
      <arglist>(const QString &amp;key, QMap&lt; QString, QString &gt; &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>readPassword</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>492052a672565d2822980c2b236c9ae5</anchor>
      <arglist>(const QString &amp;key, QString &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>readEntryList</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>d2e417608c1d40405ed5087a75d39b07</anchor>
      <arglist>(const QString &amp;key, QMap&lt; QString, QByteArray &gt; &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>readMapList</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>901df3eafd1dc352c6bbc1855f92166e</anchor>
      <arglist>(const QString &amp;key, QMap&lt; QString, QMap&lt; QString, QString &gt; &gt; &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>readPasswordList</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>3b18ace468e8b8c393caf6bf3b9f7363</anchor>
      <arglist>(const QString &amp;key, QMap&lt; QString, QString &gt; &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>writeEntry</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>84ae066264c70bdf8c4ac7685bd65dfa</anchor>
      <arglist>(const QString &amp;key, const QByteArray &amp;value, EntryType entryType)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>writeEntry</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>e5488777df917f9902433b743e6fe0ee</anchor>
      <arglist>(const QString &amp;key, const QByteArray &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>writeMap</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>68ae274397162dc0551adb11a1456191</anchor>
      <arglist>(const QString &amp;key, const QMap&lt; QString, QString &gt; &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>writePassword</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>fd5fb4d7a44a2a0c511fc01c910733d7</anchor>
      <arglist>(const QString &amp;key, const QString &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>hasEntry</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>a9cc7eb0351ce2de350ada087fdf51c4</anchor>
      <arglist>(const QString &amp;key)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>removeEntry</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>e92216dabb61a02c689c1ee65b20d862</anchor>
      <arglist>(const QString &amp;key)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual EntryType</type>
      <name>entryType</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>f144ae55622d3c5ea1e34e071bdcb0c1</anchor>
      <arglist>(const QString &amp;key)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QStringList</type>
      <name>walletList</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>1da8ce7cc8837ecca48f71c0f160bbe5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>isEnabled</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>7618e93ade30883edf3200f148e68dca</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>isOpen</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>deb681aa82b9e988406b6252ca00ee4d</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>closeWallet</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>972d5bdca747ef7c2716923aa9b574c9</anchor>
      <arglist>(const QString &amp;name, bool force)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>deleteWallet</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>d8de0381cfcf660bd65a06005b01d1db</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>disconnectApplication</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>99a72bf36d1c4d498265e1f7a52a8706</anchor>
      <arglist>(const QString &amp;wallet, const QCString &amp;app)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Wallet *</type>
      <name>openWallet</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>aa51bdce7eda99e428f87736cc7ca850</anchor>
      <arglist>(const QString &amp;name, WId w=0, OpenType ot=Synchronous)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QStringList</type>
      <name>users</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>856cbaab0a9eb09e7caa2688a8366622</anchor>
      <arglist>(const QString &amp;wallet)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const QString</type>
      <name>LocalWallet</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>68ccccf6eef20c313893135e513d8cdd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const QString</type>
      <name>NetworkWallet</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>57f030f31a4b2427070863f057201e88</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const QString</type>
      <name>PasswordFolder</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>e0d4c9f2f6483809770afe9b3c9bb64f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const QString</type>
      <name>FormDataFolder</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>29e8d5f109ca014d94a83277240eab10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>changePassword</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>8c6c40029b0fc92823674d3605b5a8f2</anchor>
      <arglist>(const QString &amp;name, WId w=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>folderDoesNotExist</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>eabfda0a99dc4069e4fd2b38594c4534</anchor>
      <arglist>(const QString &amp;wallet, const QString &amp;folder)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>keyDoesNotExist</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>ba6d23e407ab824002babc8cd3709b59</anchor>
      <arglist>(const QString &amp;wallet, const QString &amp;folder, const QString &amp;key)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>Wallet</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>ccebf0aaf45f07b3e0471e65c11ac605</anchor>
      <arglist>(int handle, const QString &amp;name)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>Wallet</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>5d8117c4640468a8b0de5f51ce6f00ab</anchor>
      <arglist>(const Wallet &amp;)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKWallet_1_1Wallet.html</anchorfile>
      <anchor>51a70e4b4c7cab34917806e7316fc39e</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
  </compound>
</tagfile>
