<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="namespace">
    <name>DNSSD</name>
    <filename>namespaceDNSSD.html</filename>
    <class kind="class">DNSSD::DomainBrowser</class>
    <class kind="class">DNSSD::PublicService</class>
    <class kind="class">DNSSD::Query</class>
    <class kind="class">DNSSD::RemoteService</class>
    <class kind="class">DNSSD::Responder</class>
    <class kind="class">DNSSD::ErrorEvent</class>
    <class kind="class">DNSSD::AddRemoveEvent</class>
    <class kind="class">DNSSD::PublishEvent</class>
    <class kind="class">DNSSD::ResolveEvent</class>
    <class kind="class">DNSSD::ServiceBase</class>
    <class kind="class">DNSSD::ServiceBrowser</class>
    <class kind="class">DNSSD::Configuration</class>
    <member kind="enumeration">
      <name>Operation</name>
      <anchor>a19a152b72c3d3a68361ca57648ae253</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SD_ERROR</name>
      <anchor>a19a152b72c3d3a68361ca57648ae2536474c3646df4a62fa9969a00e9c3234d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SD_ADDREMOVE</name>
      <anchor>a19a152b72c3d3a68361ca57648ae253b38e7ca2d8936c95250871c4dd9b6941</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SD_PUBLISH</name>
      <anchor>a19a152b72c3d3a68361ca57648ae2535d37b38e57864dd82047e0b7be0658ef</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SD_RESOLVE</name>
      <anchor>a19a152b72c3d3a68361ca57648ae25337ed0200de056054f37c54cdab1bcc46</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" static="yes">
      <type>static unsigned long</type>
      <name>publicIP</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>ffbc80a3e819a0e3b21d1c924ccb634c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QDataStream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>1bc781aba430514d281cc92b91518ceb</anchor>
      <arglist>(QDataStream &amp;s, const RemoteService &amp;a)</arglist>
    </member>
    <member kind="function">
      <type>QDataStream &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>c4c499f96e919daecbe4d4585fd956eb</anchor>
      <arglist>(QDataStream &amp;s, RemoteService &amp;a)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>domainIsLocal</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>fe04b269e852e67c113471075c800aa0</anchor>
      <arglist>(const QString &amp;domain)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>domainToDNS</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>8262cbe799f1c7df9100c82a5557d16b</anchor>
      <arglist>(const QString &amp;domain)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>DNSToDomain</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>cd0cc413787b3b5fa4ef17152086c23b</anchor>
      <arglist>(const char *domain)</arglist>
    </member>
    <member kind="function">
      <type>QDataStream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>e923bf1070ed22265f27598e68701aee</anchor>
      <arglist>(QDataStream &amp;s, const ServiceBase &amp;a)</arglist>
    </member>
    <member kind="function">
      <type>QDataStream &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>5de6a5136f735a488052c97fd6e6589f</anchor>
      <arglist>(QDataStream &amp;s, ServiceBase &amp;a)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::DomainBrowser</name>
    <filename>classDNSSD_1_1DomainBrowser.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>domainRemoved</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>1453f9ab3baaff3d1aaf471f8b391c82</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>domainAdded</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>6a0f09ee4359b295f0640569845b425a</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DomainBrowser</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>a1a0d1bb574731203c6cfcfb1b6cb5c9</anchor>
      <arglist>(QObject *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DomainBrowser</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>45b0f59f72f98d439c478a5020a49ec8</anchor>
      <arglist>(const QStringList &amp;domains, bool recursive=false, QObject *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~DomainBrowser</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>562a6c2b3747d8a9161fd0568406d34e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const QStringList &amp;</type>
      <name>domains</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>0a419771f4051fbf4c481f7384cd66eb</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>startBrowse</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>eaff368c1f4f0e73e95c2a9cbc0fe313</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRunning</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>0ac48136a0a14922424663db2464edd2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>2792288144613229cc0e41ef895b7908</anchor>
      <arglist>(int, void *)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>DomainBrowserPrivate</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>c08ebb4389d623f01c67459a01780572</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::PublicService</name>
    <filename>classDNSSD_1_1PublicService.html</filename>
    <base>QObject</base>
    <base>DNSSD::ServiceBase</base>
    <member kind="signal">
      <type>void</type>
      <name>published</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>64103a5154fa018b6b648260df3d26da</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PublicService</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>d79aad73298b768e5af25b1abd72cba6</anchor>
      <arglist>(const QString &amp;name=QString::null, const QString &amp;type=QString::null, unsigned int port=0, const QString &amp;domain=QString::null)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~PublicService</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>687237cb18a7127600c12934739c05d4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>8361e52215955a6caa19d336b2378f37</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>publish</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>a0ecc064207ce1bce224d0a5550888ad</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isPublished</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>4e4c7ae8222cf741b21305355477084d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>publishAsync</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>74086d0ad0d9eebf606898994aa858b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTextData</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>1e67a15ab055d273a2374d513d4b4c82</anchor>
      <arglist>(const QMap&lt; QString, QString &gt; &amp;textData)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setServiceName</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>5f1fc180ab4289cf86656a9a510404a5</anchor>
      <arglist>(const QString &amp;serviceName)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setType</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>0a4a7ddecff88039073c94258a521e26</anchor>
      <arglist>(const QString &amp;type)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPort</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>3fa6450aa60e9634cf44e0e4a38552f1</anchor>
      <arglist>(unsigned short port)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDomain</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>0fa01d4d9ffb313faf62eb284efa18ad</anchor>
      <arglist>(const QString &amp;domain)</arglist>
    </member>
    <member kind="function">
      <type>const KURL</type>
      <name>toInvitation</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>80bc88932f21d91b2e79b7d950824e59</anchor>
      <arglist>(const QString &amp;host=QString::null)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>customEvent</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>8faaee3bd405ac103ba00b69cbacaa13</anchor>
      <arglist>(QCustomEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>d0a13c4951d665baf1a69263bf959e67</anchor>
      <arglist>(int, void *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::Query</name>
    <filename>classDNSSD_1_1Query.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>serviceAdded</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>a499ef2c1fa3ea310d728261c3bcdb28</anchor>
      <arglist>(DNSSD::RemoteService::Ptr)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>serviceRemoved</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>f21cead79643a9b6cfe7b3ba6344327f</anchor>
      <arglist>(DNSSD::RemoteService::Ptr)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>finished</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>3894fa5ac0fe6a35c59c67e8f432e7e3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Query</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>2e528ce137afc56b1d8566d95141e43d</anchor>
      <arglist>(const QString &amp;type, const QString &amp;domain)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Query</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>955f60627c4b2a0f2e97352a0386b9c2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>startQuery</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>8aea55d5ffe0ed05d57b69d7f7aaa265</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRunning</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>eb067964c0932c2c31d32d11924ba548</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isFinished</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>e914445d9d6b829a9ef9856380bf1d06</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>domain</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>6e5f530baa17c570cd27c23c33903ab4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>d21a4783bbf58931f820df1ee542d84a</anchor>
      <arglist>(int, void *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>customEvent</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>97ad6103e58380d393ea8181294afe61</anchor>
      <arglist>(QCustomEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::RemoteService</name>
    <filename>classDNSSD_1_1RemoteService.html</filename>
    <base>QObject</base>
    <base>DNSSD::ServiceBase</base>
    <member kind="typedef">
      <type>KSharedPtr&lt; RemoteService &gt;</type>
      <name>Ptr</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>eb7da12128083a00e2dd38ad88893e5e</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>resolved</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>acb2a89753558e5ccd6881a7e94e0520</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>RemoteService</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>1a04b0ee25504865ad49db247d6b97d4</anchor>
      <arglist>(const QString &amp;label)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>RemoteService</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>0956069bda872842daeb691cf440ee23</anchor>
      <arglist>(const QString &amp;name, const QString &amp;type, const QString &amp;domain)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>RemoteService</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>41fe11d613e3c421d82c7785bf723466</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~RemoteService</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>823b012e74683d5157184afe2113dec1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resolveAsync</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>4958f155cb68fe3ee62818fbf388108b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>resolve</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>1ca9ca42bf1ddc888b90e931183269eb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isResolved</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>3506048a283f723a58ad69326b2cc1aa</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>05a9b232ea52c3b5fd21efd044212d59</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>customEvent</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>06a64e9714657e9b36753769f8d2393f</anchor>
      <arglist>(QCustomEvent *event)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend KDNSSD_EXPORT QDataStream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>9858b9af7f65a20a55680dee3256b430</anchor>
      <arglist>(QDataStream &amp;s, const RemoteService &amp;a)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend KDNSSD_EXPORT QDataStream &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>8dd59cc58772b622a43982cc13710aa7</anchor>
      <arglist>(QDataStream &amp;s, RemoteService &amp;a)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::Responder</name>
    <filename>classDNSSD_1_1Responder.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>process</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>ed7f2f42aa35eaa58f592257d84d0acf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Responder</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>9b6fc20af99c9163839e4cf615852153</anchor>
      <arglist>(DNSServiceRef ref=0, QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Responder</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>1795d2df184cb41fc6be7e0b7c421784</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRunning</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>b71a324df67579cf3d2b837de20b9f75</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRef</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>100b1b12a17af6b27e88377da01988fa</anchor>
      <arglist>(DNSServiceRef ref)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>412274079ca49ee3101b9c0ee74e1ca7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>DNSServiceRef</type>
      <name>m_ref</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>e6222ea25d3e0c08dab9b181b44f5a59</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_running</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>545a279eb39ddc4f8f93150bb4029384</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QSocketNotifier *</type>
      <name>m_socket</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>e3628d939d3f3ec91d3b3274160fda03</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::ErrorEvent</name>
    <filename>classDNSSD_1_1ErrorEvent.html</filename>
    <base>QCustomEvent</base>
    <member kind="function">
      <type></type>
      <name>ErrorEvent</name>
      <anchorfile>classDNSSD_1_1ErrorEvent.html</anchorfile>
      <anchor>a007d99e98571cb617ff3b7f2287c506</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::AddRemoveEvent</name>
    <filename>classDNSSD_1_1AddRemoveEvent.html</filename>
    <base>QCustomEvent</base>
    <member kind="enumeration">
      <name>Operation</name>
      <anchor>1955cc52c68909a1937513db9b6e9d96</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Add</name>
      <anchor>1955cc52c68909a1937513db9b6e9d96ba4494d84fd110d00911ff7fcb737977</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Remove</name>
      <anchor>1955cc52c68909a1937513db9b6e9d96c5373630cf69deda03a78844090621c6</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AddRemoveEvent</name>
      <anchorfile>classDNSSD_1_1AddRemoveEvent.html</anchorfile>
      <anchor>b7ee49c5b3a743e9ae42fac2fbd54aec</anchor>
      <arglist>(Operation op, const QString &amp;name, const QString &amp;type, const QString &amp;domain, bool last)</arglist>
    </member>
    <member kind="variable">
      <type>const Operation</type>
      <name>m_op</name>
      <anchorfile>classDNSSD_1_1AddRemoveEvent.html</anchorfile>
      <anchor>57f1b2035217e2dd94e2eb068fa09300</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const QString</type>
      <name>m_name</name>
      <anchorfile>classDNSSD_1_1AddRemoveEvent.html</anchorfile>
      <anchor>8b8c562bea93a38687f62b54e5b043cc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const QString</type>
      <name>m_type</name>
      <anchorfile>classDNSSD_1_1AddRemoveEvent.html</anchorfile>
      <anchor>55d9555568f8354bf64653b67ceada3d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const QString</type>
      <name>m_domain</name>
      <anchorfile>classDNSSD_1_1AddRemoveEvent.html</anchorfile>
      <anchor>dcf9aacd58e7a44ca77fe7fbd2250a76</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const bool</type>
      <name>m_last</name>
      <anchorfile>classDNSSD_1_1AddRemoveEvent.html</anchorfile>
      <anchor>44823867f9b781d9c9648cb2434c5daa</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::PublishEvent</name>
    <filename>classDNSSD_1_1PublishEvent.html</filename>
    <base>QCustomEvent</base>
    <member kind="function">
      <type></type>
      <name>PublishEvent</name>
      <anchorfile>classDNSSD_1_1PublishEvent.html</anchorfile>
      <anchor>c1194ad58587074d83f15b322734664d</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="variable">
      <type>const QString</type>
      <name>m_name</name>
      <anchorfile>classDNSSD_1_1PublishEvent.html</anchorfile>
      <anchor>a0944dd653028674fbd6ad3509a1b51e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::ResolveEvent</name>
    <filename>classDNSSD_1_1ResolveEvent.html</filename>
    <base>QCustomEvent</base>
    <member kind="function">
      <type></type>
      <name>ResolveEvent</name>
      <anchorfile>classDNSSD_1_1ResolveEvent.html</anchorfile>
      <anchor>72056672addbc11362ceeb2f7550fcd4</anchor>
      <arglist>(const QString &amp;hostname, unsigned short port, const QMap&lt; QString, QString &gt; &amp;txtdata)</arglist>
    </member>
    <member kind="variable">
      <type>const QString</type>
      <name>m_hostname</name>
      <anchorfile>classDNSSD_1_1ResolveEvent.html</anchorfile>
      <anchor>5752ff702e8c55bc9b1851e83681d39f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const unsigned short</type>
      <name>m_port</name>
      <anchorfile>classDNSSD_1_1ResolveEvent.html</anchorfile>
      <anchor>7167c82d9ed95f2b4ea0dc058e255486</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const QMap&lt; QString, QString &gt;</type>
      <name>m_txtdata</name>
      <anchorfile>classDNSSD_1_1ResolveEvent.html</anchorfile>
      <anchor>793a3abb8b2dc43997e7d65c91c56f46</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::ServiceBase</name>
    <filename>classDNSSD_1_1ServiceBase.html</filename>
    <member kind="typedef">
      <type>KSharedPtr&lt; ServiceBase &gt;</type>
      <name>Ptr</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>f89a122d390e1c8d71c0b37199bc7c8f</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ServiceBase</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>7ab51e7d05d9685e4ec0f978efad25cc</anchor>
      <arglist>(const QString &amp;name=QString::null, const QString &amp;type=QString::null, const QString &amp;domain=QString::null, const QString &amp;host=QString::null, unsigned short port=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ServiceBase</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>3464c9214b7424014c2d2df21182a66a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>serviceName</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>efbcd474773e5c5a85fd840b7fb94117</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>type</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>d5b5b50c6fd2c2b7482fda60bd24621d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>domain</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>be563fed7bdc5eb58dc0006a534d6b63</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>hostName</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>f1217f98d19b86e9cd26b3a2d2106c70</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>unsigned short</type>
      <name>port</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>2c02bcf5751310f5ae9c0cde228d987d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QMap&lt; QString, QString &gt; &amp;</type>
      <name>textData</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>289cf0fa3c44c3a7055aad7571432950</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>encode</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>076be86ddd8892cba355857e91897d1e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>decode</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>2d9bf4f84cf79dcf2856715d80802960</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>95fb22c0be2c69a40d3b378ffb893806</anchor>
      <arglist>(int, void *)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_serviceName</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>1fbea9bf2c0ba3148917974f91af9628</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_type</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>644962d6a47f44d3329dbe7c1a7acd36</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_domain</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>687feb7cd3fc28b1bffa285b49b0b022</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_hostName</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>a0cd365a3540e2951268a541b7fd1dcd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>unsigned short</type>
      <name>m_port</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>60dd66e2b91a41c562ddc26e1d7b4286</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QMap&lt; QString, QString &gt;</type>
      <name>m_textData</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>bec537aeede826f40516815e868b0be0</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend KDNSSD_EXPORT QDataStream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>5f4e4d4803c4049f525158b4d857fa4f</anchor>
      <arglist>(QDataStream &amp;s, const ServiceBase &amp;a)</arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend KDNSSD_EXPORT QDataStream &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>e7600b5bc95dae0b6884def4b781e9fd</anchor>
      <arglist>(QDataStream &amp;s, ServiceBase &amp;a)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::ServiceBrowser</name>
    <filename>classDNSSD_1_1ServiceBrowser.html</filename>
    <base>QObject</base>
    <member kind="enumeration">
      <name>Flags</name>
      <anchor>188a5f914bba2787e69e2440ca399f39</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>AutoDelete</name>
      <anchor>188a5f914bba2787e69e2440ca399f39b963a74ca30228244ef0302d01696ca5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>AutoResolve</name>
      <anchor>188a5f914bba2787e69e2440ca399f3905fa9c65ad6bd6e60b791e94b634598c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>State</name>
      <anchor>61c8b4fc9ab5a9a9f90d29595ad9a121</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Working</name>
      <anchor>61c8b4fc9ab5a9a9f90d29595ad9a1215543b99b735d605d8d92570632e35144</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Stopped</name>
      <anchor>61c8b4fc9ab5a9a9f90d29595ad9a121a7273f4730eff498d5042453e115ecee</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Unsupported</name>
      <anchor>61c8b4fc9ab5a9a9f90d29595ad9a121a22835a29d8139da244b4e8406d90d0d</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>removeDomain</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>54f29b6011fd60f6acb32eeefb5c40e6</anchor>
      <arglist>(const QString &amp;domain)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>addDomain</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>de1de01334843a470fd16fbd79f21d87</anchor>
      <arglist>(const QString &amp;domain)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>serviceAdded</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>117fc7be747ea324d6ece20e44a443ac</anchor>
      <arglist>(DNSSD::RemoteService::Ptr)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>serviceRemoved</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>2ba3a62a1dff803389d7b8217abfd24f</anchor>
      <arglist>(DNSSD::RemoteService::Ptr)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>finished</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>1c5c98dc2436094166bf1307fe7cedbe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ServiceBrowser</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>cfe02290d238d2c0aabd5a9ccb45331c</anchor>
      <arglist>(const QStringList &amp;types, DomainBrowser *domains, int flags)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ServiceBrowser</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>f574a962b21d0833848f5e3437187ecd</anchor>
      <arglist>(const QString &amp;type, DomainBrowser *domains=0, bool autoResolve=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ServiceBrowser</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>febe45dc48e187d911febdb6d585c8b0</anchor>
      <arglist>(const QString &amp;type, const QString &amp;domain, int flags)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ServiceBrowser</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>754de03f618aae43fbc23b43b80409d3</anchor>
      <arglist>(const QString &amp;type, const QString &amp;domain, bool autoResolve=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ServiceBrowser</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>eb2fe2437f07da8fe2975539e44ecfd8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const QValueList&lt; RemoteService::Ptr &gt; &amp;</type>
      <name>services</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>9ab17f813b8e8aaac243b7a6bb335f31</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>startBrowse</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>40861e3d8ee553a17952446a31b6e465</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const DomainBrowser *</type>
      <name>browsedDomains</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>e099870c9e1835e446627b758765192d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const State</type>
      <name>isAvailable</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>4f94d0f01a2b32724e3fa68f5bcc849f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const QString</type>
      <name>AllServices</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>05954978c4f8cb87784bd984685dd15e</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>fde5b42614485d08ac23f211e9120d9d</anchor>
      <arglist>(int, void *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::Configuration</name>
    <filename>classDNSSD_1_1Configuration.html</filename>
    <member kind="function">
      <type></type>
      <name>~Configuration</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>9880b7ba602ca5c95dd5e78344677f03</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Configuration *</type>
      <name>self</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>fe54bab807712165b3d427e2ed859f61</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setDomainList</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>97c9094621403ab51693c2f66aa7d31a</anchor>
      <arglist>(const QStringList &amp;v)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QStringList</type>
      <name>domainList</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>bdd6a7c3011f9f94d4b19f742ac3f050</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setBrowseLocal</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>45bf169a0d5975b27a9e6e323cacf459</anchor>
      <arglist>(bool v)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>browseLocal</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>53b69d3bdbefd001df35303131d28adb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setRecursive</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>3975f27a9f80079ce30773d41836fc30</anchor>
      <arglist>(bool v)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>recursive</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>d31b742a54009619035e9dc65f4a9dc6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setPublishType</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>5ad7a6ea15cef3b789ea1190f7f4358b</anchor>
      <arglist>(int v)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>publishType</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>534ea2ad32cb25c2e7cec06b69944424</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setPublishDomain</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>0f57abe000c2efdca451370705d5d522</anchor>
      <arglist>(const QString &amp;v)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>publishDomain</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>5d7af3b8f8b6b9289dc28f5265349aca</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>writeConfig</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>e3f82395e7dad5b113b461a07301e97a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>Configuration</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>28c07d03b4552a0aee7f6914356a63a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>mDomainList</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>ce4fb6fa2addabf98783a8c5b2bf21be</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mBrowseLocal</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>ee27da095ba7eb39d49e046b7f2f84b2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mRecursive</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>c13e127b4568cd9ded13eb4a2045ff02</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>mPublishType</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>60f35f59741d8a03bc44afcc27fc4c46</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mPublishDomain</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>11cedcc2f1b6fd5658a049086cba55d9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>static Configuration *</type>
      <name>mSelf</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>f46b914f348622e306005b4c5694e2e3</anchor>
      <arglist></arglist>
    </member>
    <class kind="class">DNSSD::Configuration::EnumPublishType</class>
  </compound>
  <compound kind="class">
    <name>DNSSD::Configuration::EnumPublishType</name>
    <filename>classDNSSD_1_1Configuration_1_1EnumPublishType.html</filename>
    <member kind="enumeration">
      <name>type</name>
      <anchor>115aa162477af7cef22d0e84a1848e03</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>LAN</name>
      <anchor>115aa162477af7cef22d0e84a1848e03ca5fbcec9b9e325b49ac29e56c30a18d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>WAN</name>
      <anchor>115aa162477af7cef22d0e84a1848e0351d8352419293227f6c724d1fe78fecc</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>COUNT</name>
      <anchor>115aa162477af7cef22d0e84a1848e0393bd97cc5ac8e60cf4ef9ee4a0e04865</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
