<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>Framework for KDE graphical components</title>
    <filename>index</filename>
  </compound>
  <compound kind="namespace">
    <name>KIO</name>
    <filename>namespaceKIO.html</filename>
  </compound>
  <compound kind="namespace">
    <name>KParts</name>
    <filename>namespaceKParts.html</filename>
    <class kind="struct">KParts::URLArgs</class>
    <class kind="struct">KParts::WindowArgs</class>
    <class kind="class">KParts::OpenURLEvent</class>
    <class kind="class">KParts::BrowserExtension</class>
    <class kind="class">KParts::BrowserHostExtension</class>
    <class kind="class">KParts::LiveConnectExtension</class>
    <class kind="class">KParts::BrowserInterface</class>
    <class kind="class">KParts::BrowserRun</class>
    <class kind="class">KParts::DockMainWindow</class>
    <class kind="class">KParts::Event</class>
    <class kind="class">KParts::GUIActivateEvent</class>
    <class kind="class">KParts::PartActivateEvent</class>
    <class kind="class">KParts::PartSelectEvent</class>
    <class kind="class">KParts::Factory</class>
    <class kind="class">KParts::GenericFactoryBase</class>
    <class kind="class">KParts::GenericFactory</class>
    <class kind="class">KParts::GenericFactory&lt; KTypeList&lt; T1, T2 &gt; &gt;</class>
    <class kind="class">KParts::HistoryProvider</class>
    <class kind="class">KParts::MainWindow</class>
    <class kind="class">KParts::PartBase</class>
    <class kind="class">KParts::Part</class>
    <class kind="class">KParts::ReadOnlyPart</class>
    <class kind="class">KParts::ReadWritePart</class>
    <class kind="class">KParts::PartManager</class>
    <class kind="class">KParts::Plugin</class>
    <class kind="class">KParts::StatusBarExtension</class>
    <namespace>KParts::ComponentFactory</namespace>
  </compound>
  <compound kind="struct">
    <name>KParts::URLArgs</name>
    <filename>structKParts_1_1URLArgs.html</filename>
    <member kind="function">
      <type></type>
      <name>URLArgs</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>61ea2826518d50a3ca10935400c6136c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>URLArgs</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>61012f68381be1f4152cd29f57e08a9c</anchor>
      <arglist>(const URLArgs &amp;args)</arglist>
    </member>
    <member kind="function">
      <type>URLArgs &amp;</type>
      <name>operator=</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>5fc77086ea6b2fcaa93b8194c9d03915</anchor>
      <arglist>(const URLArgs &amp;args)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>URLArgs</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>cca919b228525d552be08dd23685b72e</anchor>
      <arglist>(bool reload, int xOffset, int yOffset, const QString &amp;serviceType=QString::null)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~URLArgs</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>6a0e1d7f41a7f95e47d5741c9d9507a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setContentType</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>6d26e85411017ed70a1b04afca2dceb6</anchor>
      <arglist>(const QString &amp;contentType)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>contentType</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>162428b05a14bc71b92bbbc0c9c6b244</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDoPost</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>40dc75e57e3342e3dfb464a49986de8b</anchor>
      <arglist>(bool enable)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>doPost</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>1e644a9b3d96a2a68ad22db0576c2744</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLockHistory</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>2e3719346745a19a4563ab43f70463bb</anchor>
      <arglist>(bool lock)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>lockHistory</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>422565db099dc2766f32b15f97d428e3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNewTab</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>074c78be87c26060d75d692f1a0065e7</anchor>
      <arglist>(bool newTab)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>newTab</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>4038ce3c61b4718b37e2ee46e866a6e1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QMap&lt; QString, QString &gt; &amp;</type>
      <name>metaData</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>16422d9c5dfe0fef29dec6ac6b6b9a32</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>redirectedRequest</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>807ba0b1fbc63d3d594b4094345061a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRedirectedRequest</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>a749ad1eec7fd5d4e074ee9a3ff0b640</anchor>
      <arglist>(bool redirected)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setForcesNewWindow</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>7aed0c7204f02114fe0fd02574954cd1</anchor>
      <arglist>(bool forcesNewWindow)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>forcesNewWindow</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>e1a62343a2de7d49446c78742a13102c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="variable">
      <type>QStringList</type>
      <name>docState</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>99c5f35818d78f078a0099f88fb630f1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>reload</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>699ab003b8dbf7e271dbf58f1cc97d2c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>xOffset</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>75fee99aae70eeb0854655ba84edd63a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>yOffset</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>c6b5a8d2502fde1ee2d787fdb3ccff79</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>serviceType</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>85e525aa9236e09ee06beb4a4c126b06</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QByteArray</type>
      <name>postData</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>f9ef3f4d28506b743f826b3d931de3b4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>frameName</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>afbd440d4416f480f2191a2cd1a491a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>trustedSource</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>417280865c60037e182c0439e09f6cc3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>URLArgsPrivate *</type>
      <name>d</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>460e2ecaab68c703ff9ddaf5653cdb72</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KParts::WindowArgs</name>
    <filename>structKParts_1_1WindowArgs.html</filename>
    <member kind="function">
      <type></type>
      <name>WindowArgs</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>268b57afff197df774c981401129fcd7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~WindowArgs</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>3b52b5d841a88ed28faa050eba4282bd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>WindowArgs</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>39f47a937b288d0432a319af2104d3eb</anchor>
      <arglist>(const WindowArgs &amp;args)</arglist>
    </member>
    <member kind="function">
      <type>WindowArgs &amp;</type>
      <name>operator=</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>1c4529d27f29277c47c483b8b8d30072</anchor>
      <arglist>(const WindowArgs &amp;args)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>WindowArgs</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>f3a2b7291d148b1167c1a41bbb33e7c9</anchor>
      <arglist>(const QRect &amp;_geometry, bool _fullscreen, bool _menuBarVisible, bool _toolBarsVisible, bool _statusBarVisible, bool _resizable)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>WindowArgs</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>197a52ac3490be274e4a20419813db85</anchor>
      <arglist>(int _x, int _y, int _width, int _height, bool _fullscreen, bool _menuBarVisible, bool _toolBarsVisible, bool _statusBarVisible, bool _resizable)</arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>x</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>d37cdb370b82505244e3f2065c657786</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>y</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>c5374f357ff38c9afaf28be4de923adc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>width</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>c77cbb0bccf6f53cc2ac06a77479a720</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>height</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>cb332fcca1126939af4dde7262015834</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>fullscreen</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>766df5f7beb783863f76f280d0fcdd5c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>menuBarVisible</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>19ccaaea76ce195b5e14080b4faa8791</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>toolBarsVisible</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>1d90e0c72991f3e0a40bf9ca6dc1b846</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>statusBarVisible</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>01a5363ffafe572c958d79a7707be243</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>resizable</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>9c503501318a1df9db1695a8dc5d1de2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>lowerWindow</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>81f4b4739972ea273ffee861379f50fc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>scrollBarsVisible</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>5a8142d27fb1e4cd6609080dc62e1ed2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>WindowArgsPrivate *</type>
      <name>d</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>63fea3265a6d70d958dbe8c2988e803c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::OpenURLEvent</name>
    <filename>classKParts_1_1OpenURLEvent.html</filename>
    <base>KParts::Event</base>
    <member kind="function">
      <type></type>
      <name>OpenURLEvent</name>
      <anchorfile>classKParts_1_1OpenURLEvent.html</anchorfile>
      <anchor>05d76aa8d81421bbdd66c4742cd34f0e</anchor>
      <arglist>(ReadOnlyPart *part, const KURL &amp;url, const URLArgs &amp;args=URLArgs())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~OpenURLEvent</name>
      <anchorfile>classKParts_1_1OpenURLEvent.html</anchorfile>
      <anchor>1d4cea9d5a846b5c365f7f3690db763e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ReadOnlyPart *</type>
      <name>part</name>
      <anchorfile>classKParts_1_1OpenURLEvent.html</anchorfile>
      <anchor>2876ec22d5621a9721805a4d3227d4c8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>url</name>
      <anchorfile>classKParts_1_1OpenURLEvent.html</anchorfile>
      <anchor>2db1364c5e9035e68d1ea96fa3c021e9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>URLArgs</type>
      <name>args</name>
      <anchorfile>classKParts_1_1OpenURLEvent.html</anchorfile>
      <anchor>0d1ad4e0883511a4ba800b4de7c81389</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>test</name>
      <anchorfile>classKParts_1_1OpenURLEvent.html</anchorfile>
      <anchor>bf5ffbf72b2f9ce6ed2a327d6b52db7a</anchor>
      <arglist>(const QEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::BrowserExtension</name>
    <filename>classKParts_1_1BrowserExtension.html</filename>
    <base>QObject</base>
    <member kind="enumvalue">
      <name>DefaultPopupItems</name>
      <anchor>14c46d9f7543f10287f03bb6d590d6459827e22eb0f311f7bde2a2fdeaec7e64</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ShowNavigationItems</name>
      <anchor>14c46d9f7543f10287f03bb6d590d645b4a5c57b9adf03153a584e60e9bf2191</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ShowUp</name>
      <anchor>14c46d9f7543f10287f03bb6d590d64518e762e13d634bfa6dc286eb46779e77</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ShowReload</name>
      <anchor>14c46d9f7543f10287f03bb6d590d645cc4901d88c02bac7aeb2c370c8c26b30</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ShowBookmark</name>
      <anchor>14c46d9f7543f10287f03bb6d590d645f99a568017f1df268a98d8ef5e3373e8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ShowCreateDirectory</name>
      <anchor>14c46d9f7543f10287f03bb6d590d645ff32cddf93dd66f5a59bc6be8fc6b647</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ShowTextSelectionItems</name>
      <anchor>14c46d9f7543f10287f03bb6d590d645da2a58876c3183207c08d1e1252073a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NoDeletion</name>
      <anchor>14c46d9f7543f10287f03bb6d590d645a4922d22248d6bdbe3979887ac7b1a47</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>uint</type>
      <name>PopupFlags</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>5106a1cc4da534e5e87517b2b095fce3</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QMap&lt; QCString, QCString &gt;</type>
      <name>ActionSlotMap</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>f10fa79413e25ddd87d2ef1e491c699c</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QMap&lt; QCString, int &gt;</type>
      <name>ActionNumberMap</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>ee73a3364dfab87d7adf1c4bc5470eca</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>enableAction</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>09e5f4dc4cc472e1817eb0302ccb69c0</anchor>
      <arglist>(const char *name, bool enabled)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>setActionText</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>0a11388ca1e604dd93895e4e67301d2b</anchor>
      <arglist>(const char *name, const QString &amp;text)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>openURLRequest</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>08062e30e20fda797146f6a654ff9245</anchor>
      <arglist>(const KURL &amp;url, const KParts::URLArgs &amp;args=KParts::URLArgs())</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>openURLRequestDelayed</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>fd50ff43f12456cccfc81ea656782807</anchor>
      <arglist>(const KURL &amp;url, const KParts::URLArgs &amp;args=KParts::URLArgs())</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>openURLNotify</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>eddc7593cc8bca6c2e14dedce4a05f06</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>setLocationBarURL</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>117c10d746df1837a6f636643d5ab75b</anchor>
      <arglist>(const QString &amp;url)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>setIconURL</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>c68e89132e7a1ff8ffa81b52543cd50b</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>createNewWindow</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>7d6c99de1dbb10072b9fb6c5036f5d71</anchor>
      <arglist>(const KURL &amp;url, const KParts::URLArgs &amp;args=KParts::URLArgs())</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>createNewWindow</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>820ef7e50fa156334c0c01822eee4e5c</anchor>
      <arglist>(const KURL &amp;url, const KParts::URLArgs &amp;args, const KParts::WindowArgs &amp;windowArgs, KParts::ReadOnlyPart *&amp;part)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>loadingProgress</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>e60bafe3dacd17d13af16202fe9fa50c</anchor>
      <arglist>(int percent)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>speedProgress</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>64635e30fe2ff45f3a04b51338292f53</anchor>
      <arglist>(int bytesPerSecond)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>infoMessage</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>d1d11b486d6a9be4e22527c10f9eecbf</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>popupMenu</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>64d7638e6d1c1dfe5b9c65efeedf5003</anchor>
      <arglist>(const QPoint &amp;global, const KFileItemList &amp;items)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>popupMenu</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>cb9ba529027f4392e9b24f9143ef1e70</anchor>
      <arglist>(KXMLGUIClient *client, const QPoint &amp;global, const KFileItemList &amp;items)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>popupMenu</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>1d176c42a3beb0dabf3abd5df1c977b7</anchor>
      <arglist>(KXMLGUIClient *client, const QPoint &amp;global, const KFileItemList &amp;items, const KParts::URLArgs &amp;args, KParts::BrowserExtension::PopupFlags i)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>popupMenu</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>4da251bdbc306a071d3b28999483ecbd</anchor>
      <arglist>(const QPoint &amp;global, const KURL &amp;url, const QString &amp;mimeType, mode_t mode=(mode_t)-1)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>popupMenu</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>ae2c1c8373aa9ad08acc758d8e13bb18</anchor>
      <arglist>(KXMLGUIClient *client, const QPoint &amp;global, const KURL &amp;url, const QString &amp;mimeType, mode_t mode=(mode_t)-1)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>popupMenu</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>c86680dcdc5ea783a3c8cdb493fe2687</anchor>
      <arglist>(KXMLGUIClient *client, const QPoint &amp;global, const KURL &amp;url, const KParts::URLArgs &amp;args, KParts::BrowserExtension::PopupFlags i, mode_t mode=(mode_t)-1)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>selectionInfo</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>1bdcb2d0170ab07ac33be9ecabdb2246</anchor>
      <arglist>(const KFileItemList &amp;items)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>selectionInfo</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>5b9a1c7d7f22a4c3336eee865cf5af12</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>selectionInfo</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>88d9888548de3a0d880db0d091dd2c2b</anchor>
      <arglist>(const KURL::List &amp;urls)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>mouseOverInfo</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>c245518494253760b5e0d59f44b6bc1c</anchor>
      <arglist>(const KFileItem *item)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>addWebSideBar</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>0a12eafbda5815fc5b10823db51afe49</anchor>
      <arglist>(const KURL &amp;url, const QString &amp;name)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>moveTopLevelWidget</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>c41cbb4146b10da195c2705cc5797cb5</anchor>
      <arglist>(int x, int y)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>resizeTopLevelWidget</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>b34e610d352267e540e0b1f8ebe3ad95</anchor>
      <arglist>(int w, int h)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>requestFocus</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>7b46f5bee8954de7c0ca66bb1c364017</anchor>
      <arglist>(KParts::ReadOnlyPart *part)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>setPageSecurity</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>d857e6deaf5647c977b360d351d6d03e</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>itemsRemoved</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>2f3b26eed9b00abd02ff625f0bfc04d9</anchor>
      <arglist>(const KFileItemList &amp;items)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>BrowserExtension</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>2442f7a00047185a12e6348b6a4c3cbd</anchor>
      <arglist>(KParts::ReadOnlyPart *parent, const char *name=0L)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~BrowserExtension</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>124185423eb8d0a781b0f3d48e3170de</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setURLArgs</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>ef84adeaf5de0663c64f942f63d477fe</anchor>
      <arglist>(const URLArgs &amp;args)</arglist>
    </member>
    <member kind="function">
      <type>URLArgs</type>
      <name>urlArgs</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>76f3df38c74fd31d737cdfd262dfea5c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>xOffset</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>f7c9a7bd6cf5330dfde5d7ca3e7b12cd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>yOffset</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>d22817f829a7e9964fe6f97f63d8b91f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveState</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>188c911160418c4ee27ade7dc9744aad</anchor>
      <arglist>(QDataStream &amp;stream)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>restoreState</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>efa4ef386f8af22a1767cdb5147e5adf</anchor>
      <arglist>(QDataStream &amp;stream)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isURLDropHandlingEnabled</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>289ad4cce060c8c0499209eb413601ed</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setURLDropHandlingEnabled</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>19ff17deeaa0544d3ab199684c1cd986</anchor>
      <arglist>(bool enable)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBrowserInterface</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>9b915d811080e942d35af30bc0a69e70</anchor>
      <arglist>(BrowserInterface *impl)</arglist>
    </member>
    <member kind="function">
      <type>BrowserInterface *</type>
      <name>browserInterface</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>8da5d13418b3046b956130d858527184</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isActionEnabled</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>93631ea380fc9d7ab7d5896ee3cedd06</anchor>
      <arglist>(const char *name) const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>actionText</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>e30053f290d4b4a474c8fee07bf8a06b</anchor>
      <arglist>(const char *name) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pasteRequest</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>c01b8ed3fb522279feca83429f47fb3b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static ActionSlotMap</type>
      <name>actionSlotMap</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>3e899977272b53d825d369a6798e1890</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static ActionSlotMap *</type>
      <name>actionSlotMapPtr</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>d27d0b456dbbb5e3b68ef78e22b4a8e8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static BrowserExtension *</type>
      <name>childObject</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>4103a28a06fca1ed31da134950d23d61</anchor>
      <arglist>(QObject *obj)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>251beea5fd973d740c4c5da8cb102a25</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
    <member kind="property">
      <type>bool</type>
      <name>urlDropHandling</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>ae188330d3389dc8104f297de8484479</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::BrowserHostExtension</name>
    <filename>classKParts_1_1BrowserHostExtension.html</filename>
    <base>QObject</base>
    <member kind="function">
      <type></type>
      <name>BrowserHostExtension</name>
      <anchorfile>classKParts_1_1BrowserHostExtension.html</anchorfile>
      <anchor>d377625b525d3a1d2ec23188d3322b41</anchor>
      <arglist>(KParts::ReadOnlyPart *parent, const char *name=0L)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~BrowserHostExtension</name>
      <anchorfile>classKParts_1_1BrowserHostExtension.html</anchorfile>
      <anchor>d69490651a149196295ebe8a9a1e0686</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>frameNames</name>
      <anchorfile>classKParts_1_1BrowserHostExtension.html</anchorfile>
      <anchor>e02ac96d7daf1109e7d95904192489dc</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const QPtrList&lt; KParts::ReadOnlyPart &gt;</type>
      <name>frames</name>
      <anchorfile>classKParts_1_1BrowserHostExtension.html</anchorfile>
      <anchor>b833c70e1249e90968adf72a631114d8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>BrowserHostExtension *</type>
      <name>findFrameParent</name>
      <anchorfile>classKParts_1_1BrowserHostExtension.html</anchorfile>
      <anchor>28d00dfb7b6a4bbcfce071ef1e8bc67f</anchor>
      <arglist>(KParts::ReadOnlyPart *callingPart, const QString &amp;frame)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>openURLInFrame</name>
      <anchorfile>classKParts_1_1BrowserHostExtension.html</anchorfile>
      <anchor>0a374c6766df94639fcbd334531af0b0</anchor>
      <arglist>(const KURL &amp;url, const KParts::URLArgs &amp;urlArgs)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static BrowserHostExtension *</type>
      <name>childObject</name>
      <anchorfile>classKParts_1_1BrowserHostExtension.html</anchorfile>
      <anchor>9e87f161a23daabfde889b2d19a2ccc5</anchor>
      <arglist>(QObject *obj)</arglist>
    </member>
    <member kind="enumvalue">
      <name>VIRTUAL_FIND_FRAME_PARENT</name>
      <anchor>bed7b949a37b23078a12cef2d208666a44f9744e11f545389078952f9800b5d1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKParts_1_1BrowserHostExtension.html</anchorfile>
      <anchor>ee902008a5ac947f78ef141469e98c2c</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
    <class kind="struct">KParts::BrowserHostExtension::FindFrameParentParams</class>
  </compound>
  <compound kind="struct">
    <name>KParts::BrowserHostExtension::FindFrameParentParams</name>
    <filename>structKParts_1_1BrowserHostExtension_1_1FindFrameParentParams.html</filename>
    <member kind="variable">
      <type>BrowserHostExtension *</type>
      <name>parent</name>
      <anchorfile>structKParts_1_1BrowserHostExtension_1_1FindFrameParentParams.html</anchorfile>
      <anchor>de861d0ac452c39a2988c24cc130a930</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KParts::ReadOnlyPart *</type>
      <name>callingPart</name>
      <anchorfile>structKParts_1_1BrowserHostExtension_1_1FindFrameParentParams.html</anchorfile>
      <anchor>a183a12813a19a5c2c261d2027914674</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>frame</name>
      <anchorfile>structKParts_1_1BrowserHostExtension_1_1FindFrameParentParams.html</anchorfile>
      <anchor>6a89c85cf359e6be94cbe97b2cc29e24</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::LiveConnectExtension</name>
    <filename>classKParts_1_1LiveConnectExtension.html</filename>
    <base>QObject</base>
    <member kind="enumeration">
      <name>Type</name>
      <anchor>c54e80e64db1cd1fe6ac1915ae7de78e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>TypeVoid</name>
      <anchor>c54e80e64db1cd1fe6ac1915ae7de78ef10854d3fb17c09cca5f72d601382e4e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>TypeBool</name>
      <anchor>c54e80e64db1cd1fe6ac1915ae7de78e7c860c8abea55c3a93395af3d456d332</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>TypeFunction</name>
      <anchor>c54e80e64db1cd1fe6ac1915ae7de78e26a7c7099e2f0d00a0e7e35dd545a228</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>TypeNumber</name>
      <anchor>c54e80e64db1cd1fe6ac1915ae7de78e5110f9d49a7dbdc9b868b8b41939d83d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>TypeObject</name>
      <anchor>c54e80e64db1cd1fe6ac1915ae7de78e0e632a7154e79a970cb196500b4217d8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>TypeString</name>
      <anchor>c54e80e64db1cd1fe6ac1915ae7de78ec4f6a7fe8caead799077b3eaa0274d65</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QValueList&lt; QPair&lt; Type, QString &gt; &gt;</type>
      <name>ArgList</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>99ea0bc7fe1a9fe1191af88ac743670f</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal" virtualness="virtual">
      <type>virtual void</type>
      <name>partEvent</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>b4d043f2455684082b20e4eb80f6fb75</anchor>
      <arglist>(const unsigned long objid, const QString &amp;event, const ArgList &amp;args)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>LiveConnectExtension</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>a3aab462e31eb6f90b4067b61bd068df</anchor>
      <arglist>(KParts::ReadOnlyPart *parent, const char *name=0L)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~LiveConnectExtension</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>076b1f9d3bb25de92f5be1e6b698e321</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>get</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>8eb808093a1b0006fb57f0030da0cc9f</anchor>
      <arglist>(const unsigned long objid, const QString &amp;field, Type &amp;type, unsigned long &amp;retobjid, QString &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>put</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>22bdb2e13797035dca75189879429123</anchor>
      <arglist>(const unsigned long objid, const QString &amp;field, const QString &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>call</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>7bfb0ac26063df1c42c45e288fb45c88</anchor>
      <arglist>(const unsigned long objid, const QString &amp;func, const QStringList &amp;args, Type &amp;type, unsigned long &amp;retobjid, QString &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>unregister</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>75adca92ab38d21417568741b9ca7f65</anchor>
      <arglist>(const unsigned long objid)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static LiveConnectExtension *</type>
      <name>childObject</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>df84fbe9ca464b48b91f56186e1f5890</anchor>
      <arglist>(QObject *obj)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::BrowserInterface</name>
    <filename>classKParts_1_1BrowserInterface.html</filename>
    <base>QObject</base>
    <member kind="function">
      <type></type>
      <name>BrowserInterface</name>
      <anchorfile>classKParts_1_1BrowserInterface.html</anchorfile>
      <anchor>58e36a7cde4b09ff6336a448b782f7db</anchor>
      <arglist>(QObject *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~BrowserInterface</name>
      <anchorfile>classKParts_1_1BrowserInterface.html</anchorfile>
      <anchor>dde9c381bdf1550d0fec8fc280872822</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>callMethod</name>
      <anchorfile>classKParts_1_1BrowserInterface.html</anchorfile>
      <anchor>185d7dbeca6b7a666624fba2610238e5</anchor>
      <arglist>(const char *name, const QVariant &amp;argument)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::BrowserRun</name>
    <filename>classKParts_1_1BrowserRun.html</filename>
    <member kind="enumeration">
      <name>AskSaveResult</name>
      <anchor>017057ac84ef99e5b106b5a36598b053</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Save</name>
      <anchor>017057ac84ef99e5b106b5a36598b053817d03c5eb91dcfc8f3bf3ad421c7b6d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Open</name>
      <anchor>017057ac84ef99e5b106b5a36598b053eb3baf797802e156a18ff17fd72c7a1a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Cancel</name>
      <anchor>017057ac84ef99e5b106b5a36598b0537e6c48eb99e590b03c9c005a7a2b7a93</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>AskEmbedOrSaveFlags</name>
      <anchor>1e29a53004a0a124cce1dbfdf4ed8401</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>InlineDisposition</name>
      <anchor>1e29a53004a0a124cce1dbfdf4ed8401a43ef2c8b37216567e1a252f251a1560</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>AttachmentDisposition</name>
      <anchor>1e29a53004a0a124cce1dbfdf4ed8401ea783ed1e3c128925e5cbc8f5445f511</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>BrowserRun</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>4988874fe9533edbb984970b79f097b6</anchor>
      <arglist>(const KURL &amp;url, const KParts::URLArgs &amp;args, KParts::ReadOnlyPart *part, QWidget *window, bool removeReferrer, bool trustedSource)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>BrowserRun</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>633a802ca8f2e59bad1f99e10903c90a</anchor>
      <arglist>(const KURL &amp;url, const KParts::URLArgs &amp;args, KParts::ReadOnlyPart *part, QWidget *window, bool removeReferrer, bool trustedSource, bool hideErrorDialog)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~BrowserRun</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>9eefb6adca4d6e094e4bb3fcc4fc8a04</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>url</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>3075a7d260372793951063652f38ec66</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hideErrorDialog</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>073f8318d5b1347e3a4c7447eceb6bc1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>suggestedFilename</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>c7abb77b6302ddf34534530deb17c313</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>contentDisposition</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>d58c85b13e9d0b8cbfebebb74322fa3d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>serverSuggestsSave</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>96c546e6003f822a1c4f8a63c4102b5f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>c1c851f824b18be1ba3cf9d8cf923852</anchor>
      <arglist>(const KURL &amp;url, const QString &amp;suggestedFilename)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static AskSaveResult</type>
      <name>askSave</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>d2c284c734f2d967ccf2a92f555d4c3c</anchor>
      <arglist>(const KURL &amp;url, KService::Ptr offer, const QString &amp;mimeType, const QString &amp;suggestedFilename=QString::null)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static AskSaveResult</type>
      <name>askEmbedOrSave</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>03d5b757c4a0e325efc04822e92b2192</anchor>
      <arglist>(const KURL &amp;url, const QString &amp;mimeType, const QString &amp;suggestedFilename=QString::null, int flags=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>simpleSave</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>a94666fb3b4bc73d959958005657e1e2</anchor>
      <arglist>(const KURL &amp;url, const QString &amp;suggestedFilename, QWidget *window)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>simpleSave</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>db89974ac6f8b378924e3752ea5e592a</anchor>
      <arglist>(const KURL &amp;url, const QString &amp;suggestedFilename)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>allowExecution</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>0eaccd12a05770fb26f0edc5c94fe717</anchor>
      <arglist>(const QString &amp;serviceType, const KURL &amp;url)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>isExecutable</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>8c4c45725389e7a30d71fe5474981011</anchor>
      <arglist>(const QString &amp;serviceType)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>isTextExecutable</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>d79a4a0e234c35c1a5d7ca7bdc950375</anchor>
      <arglist>(const QString &amp;serviceType)</arglist>
    </member>
    <member kind="enumeration">
      <name>NonEmbeddableResult</name>
      <anchor>ef019876d386f350069d8a8236df7c1e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Handled</name>
      <anchor>ef019876d386f350069d8a8236df7c1e3b8d792b4e701d163f732140927999d3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NotHandled</name>
      <anchor>ef019876d386f350069d8a8236df7c1e9e6a821a5b0e4d96fbb892612e5b5df3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Delayed</name>
      <anchor>ef019876d386f350069d8a8236df7c1e7ce6a102b66b873f4f35820a6d90fe81</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotBrowserScanFinished</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>bccdc7e026eca04c3c9ccc8a21824987</anchor>
      <arglist>(KIO::Job *job)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotBrowserMimetype</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>8253e15e1a428710c257393aa963fa43</anchor>
      <arglist>(KIO::Job *job, const QString &amp;type)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotCopyToTempFileResult</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>fc1e4773553a72678f78fd315f394aff</anchor>
      <arglist>(KIO::Job *job)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotStatResult</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>252fe9034fab22e764627cd3df8d7f6c</anchor>
      <arglist>(KIO::Job *job)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>scanFile</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>37ee9702357906fca396b2ad84faec28</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>init</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>0b545710409413fd036a182d1d54f0b8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>handleError</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>76cc8426e8390818683b10d37afb48bf</anchor>
      <arglist>(KIO::Job *job)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>NonEmbeddableResult</type>
      <name>handleNonEmbeddable</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>9929915b99ccb38137a17a4d7ca7fe50</anchor>
      <arglist>(const QString &amp;mimeType)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KParts::URLArgs</type>
      <name>m_args</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>dfc57ebdee417cb8469797e15a6be781</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KParts::ReadOnlyPart *</type>
      <name>m_part</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>50f369874a34374921003316691ff39f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QGuardedPtr&lt; QWidget &gt;</type>
      <name>m_window</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>29ba174bf407609fa5a51692c9246eca</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_suggestedFilename</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>dc42514942899cdc69c62cc9c8e3bb9b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_sMimeType</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>240468725a456f7e9ea4397343f5d4fa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_bRemoveReferrer</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>cd9149cecbff38a2a3c04ad795b2506a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_bTrustedSource</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>9f189ab926f78edd70720e27ed2ea721</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::DockMainWindow</name>
    <filename>classKParts_1_1DockMainWindow.html</filename>
    <base>KDockMainWindow</base>
    <base virtualness="virtual">KParts::PartBase</base>
    <member kind="function">
      <type></type>
      <name>DockMainWindow</name>
      <anchorfile>classKParts_1_1DockMainWindow.html</anchorfile>
      <anchor>97e32a05b6b24810c6418f498bd06ea0</anchor>
      <arglist>(QWidget *parent=0L, const char *name=0L, WFlags f=WDestructiveClose)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~DockMainWindow</name>
      <anchorfile>classKParts_1_1DockMainWindow.html</anchorfile>
      <anchor>676d13b758938bcc4ff3caddff98bf57</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>createGUI</name>
      <anchorfile>classKParts_1_1DockMainWindow.html</anchorfile>
      <anchor>d040a812e9977d40fe3d29f905029a59</anchor>
      <arglist>(KParts::Part *part)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotSetStatusBarText</name>
      <anchorfile>classKParts_1_1DockMainWindow.html</anchorfile>
      <anchor>a2b11540b835fcfdc1e4ce0256f8a995</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>createShellGUI</name>
      <anchorfile>classKParts_1_1DockMainWindow.html</anchorfile>
      <anchor>a316ac769055b6285f939456c6fa97f5</anchor>
      <arglist>(bool create=true)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::Event</name>
    <filename>classKParts_1_1Event.html</filename>
    <base>QCustomEvent</base>
    <member kind="function">
      <type></type>
      <name>Event</name>
      <anchorfile>classKParts_1_1Event.html</anchorfile>
      <anchor>27e6e73e966ccbec2837eaabb21165e7</anchor>
      <arglist>(const char *eventName)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>eventName</name>
      <anchorfile>classKParts_1_1Event.html</anchorfile>
      <anchor>4bc6e3bd8200bb4f12b7a3fba0e99e83</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>test</name>
      <anchorfile>classKParts_1_1Event.html</anchorfile>
      <anchor>f6e5e1a19d270d80c8c4fcb09414bf4a</anchor>
      <arglist>(const QEvent *event)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>test</name>
      <anchorfile>classKParts_1_1Event.html</anchorfile>
      <anchor>762c297e4a0b9792967a039d48261525</anchor>
      <arglist>(const QEvent *event, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::GUIActivateEvent</name>
    <filename>classKParts_1_1GUIActivateEvent.html</filename>
    <base>KParts::Event</base>
    <member kind="function">
      <type></type>
      <name>GUIActivateEvent</name>
      <anchorfile>classKParts_1_1GUIActivateEvent.html</anchorfile>
      <anchor>2ee6b661a6ee3037e4a9dab064c383a8</anchor>
      <arglist>(bool activated)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>activated</name>
      <anchorfile>classKParts_1_1GUIActivateEvent.html</anchorfile>
      <anchor>49ca63f33dfe80c12c8fd072e1b2680d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>test</name>
      <anchorfile>classKParts_1_1GUIActivateEvent.html</anchorfile>
      <anchor>f72a1097a7b2a910f2ac530ad7b554b1</anchor>
      <arglist>(const QEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::PartActivateEvent</name>
    <filename>classKParts_1_1PartActivateEvent.html</filename>
    <base>KParts::Event</base>
    <member kind="function">
      <type></type>
      <name>PartActivateEvent</name>
      <anchorfile>classKParts_1_1PartActivateEvent.html</anchorfile>
      <anchor>2901fa0769568a5bc19185b36d03c610</anchor>
      <arglist>(bool activated, Part *part, QWidget *widget)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>activated</name>
      <anchorfile>classKParts_1_1PartActivateEvent.html</anchorfile>
      <anchor>f5765e2637f74c08677420047863b21e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Part *</type>
      <name>part</name>
      <anchorfile>classKParts_1_1PartActivateEvent.html</anchorfile>
      <anchor>5abaee421288100671bf18af7cbd9bea</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>widget</name>
      <anchorfile>classKParts_1_1PartActivateEvent.html</anchorfile>
      <anchor>05a929400b0125b1d4b26f2abbe0bc56</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>test</name>
      <anchorfile>classKParts_1_1PartActivateEvent.html</anchorfile>
      <anchor>e39afacc2575fe1b6d6729464889c3e6</anchor>
      <arglist>(const QEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::PartSelectEvent</name>
    <filename>classKParts_1_1PartSelectEvent.html</filename>
    <base>KParts::Event</base>
    <member kind="function">
      <type></type>
      <name>PartSelectEvent</name>
      <anchorfile>classKParts_1_1PartSelectEvent.html</anchorfile>
      <anchor>fdc0feace32e6e8605348fe15500ab5d</anchor>
      <arglist>(bool selected, Part *part, QWidget *widget)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>selected</name>
      <anchorfile>classKParts_1_1PartSelectEvent.html</anchorfile>
      <anchor>ecad4069ece0d9ed037b0f51a72bc7cc</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Part *</type>
      <name>part</name>
      <anchorfile>classKParts_1_1PartSelectEvent.html</anchorfile>
      <anchor>dd6e4222ba553329c1332a5243a02573</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>widget</name>
      <anchorfile>classKParts_1_1PartSelectEvent.html</anchorfile>
      <anchor>bee53ca0dc7c76e26648728cd5fc1748</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>test</name>
      <anchorfile>classKParts_1_1PartSelectEvent.html</anchorfile>
      <anchor>73d5d1105d12512eaf5c6e23c60a0a08</anchor>
      <arglist>(const QEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::Factory</name>
    <filename>classKParts_1_1Factory.html</filename>
    <base>KLibFactory</base>
    <member kind="function">
      <type></type>
      <name>Factory</name>
      <anchorfile>classKParts_1_1Factory.html</anchorfile>
      <anchor>62f22919fb5a594f63c24cb94421c5b2</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Factory</name>
      <anchorfile>classKParts_1_1Factory.html</anchorfile>
      <anchor>cef81727bb5b64dc7e1f7ea53dd71e3d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Part *</type>
      <name>createPart</name>
      <anchorfile>classKParts_1_1Factory.html</anchorfile>
      <anchor>05665a5aed8b396021d99bb58319a4cd</anchor>
      <arglist>(QWidget *parentWidget=0, const char *widgetName=0, QObject *parent=0, const char *name=0, const char *classname=&quot;KParts::Part&quot;, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function">
      <type>const KInstance *</type>
      <name>partInstance</name>
      <anchorfile>classKParts_1_1Factory.html</anchorfile>
      <anchor>24bc72639ce949cd39c84a8b0c634207</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const KInstance *</type>
      <name>partInstanceFromLibrary</name>
      <anchorfile>classKParts_1_1Factory.html</anchorfile>
      <anchor>249a7c88641c14a84803b8d97c340eee</anchor>
      <arglist>(const QCString &amp;libraryName)</arglist>
    </member>
    <member kind="enumvalue">
      <name>VIRTUAL_QUERY_INSTANCE_PARAMS</name>
      <anchor>f3d2010c68f82000a4e216bb7fb6e6b22b2030c50102bb013c7b6beb8c2411ad</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual Part *</type>
      <name>createPartObject</name>
      <anchorfile>classKParts_1_1Factory.html</anchorfile>
      <anchor>1c7f8e9216ed71cb67cdb1b3ef8656ed</anchor>
      <arglist>(QWidget *parentWidget=0, const char *widgetName=0, QObject *parent=0, const char *name=0, const char *classname=&quot;KParts::Part&quot;, const QStringList &amp;args=QStringList())=0</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual QObject *</type>
      <name>createObject</name>
      <anchorfile>classKParts_1_1Factory.html</anchorfile>
      <anchor>46ba6e4f241c43ae576345916fe19925</anchor>
      <arglist>(QObject *parent=0, const char *name=0, const char *classname=&quot;QObject&quot;, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <class kind="struct">KParts::Factory::QueryInstanceParams</class>
  </compound>
  <compound kind="struct">
    <name>KParts::Factory::QueryInstanceParams</name>
    <filename>structKParts_1_1Factory_1_1QueryInstanceParams.html</filename>
    <member kind="variable">
      <type>const KInstance *</type>
      <name>instance</name>
      <anchorfile>structKParts_1_1Factory_1_1QueryInstanceParams.html</anchorfile>
      <anchor>04622c74322318a97ceb26e27e8fc9f9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::GenericFactoryBase</name>
    <filename>classKParts_1_1GenericFactoryBase.html</filename>
    <templarg>T</templarg>
    <base>KParts::Factory</base>
    <member kind="function">
      <type></type>
      <name>GenericFactoryBase</name>
      <anchorfile>classKParts_1_1GenericFactoryBase.html</anchorfile>
      <anchor>f78def44f4baf693c17f6e90b2f6195a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~GenericFactoryBase</name>
      <anchorfile>classKParts_1_1GenericFactoryBase.html</anchorfile>
      <anchor>26a8f4bb62540ba08f23226eeb20ad15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KInstance *</type>
      <name>instance</name>
      <anchorfile>classKParts_1_1GenericFactoryBase.html</anchorfile>
      <anchor>e290d3fe0e1b3252a8563841dae1d9da</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KAboutData *</type>
      <name>aboutData</name>
      <anchorfile>classKParts_1_1GenericFactoryBase.html</anchorfile>
      <anchor>6a06052a058b82fb8637b9ae06f331cf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual KInstance *</type>
      <name>createInstance</name>
      <anchorfile>classKParts_1_1GenericFactoryBase.html</anchorfile>
      <anchor>3e79902deae6a7b915d733f324929393</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKParts_1_1GenericFactoryBase.html</anchorfile>
      <anchor>551ee47852bcc4ee323be3b87d62b9d6</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::GenericFactory</name>
    <filename>classKParts_1_1GenericFactory.html</filename>
    <templarg>T</templarg>
    <base>KParts::GenericFactoryBase</base>
    <member kind="function">
      <type></type>
      <name>GenericFactory</name>
      <anchorfile>classKParts_1_1GenericFactory.html</anchorfile>
      <anchor>fa50bb8c8a33c60c94dbe3ee29859d89</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KParts::Part *</type>
      <name>createPartObject</name>
      <anchorfile>classKParts_1_1GenericFactory.html</anchorfile>
      <anchor>7755e1378644553667afa5bdb1af1697</anchor>
      <arglist>(QWidget *parentWidget, const char *widgetName, QObject *parent, const char *name, const char *className, const QStringList &amp;args)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::GenericFactory&lt; KTypeList&lt; T1, T2 &gt; &gt;</name>
    <filename>classKParts_1_1GenericFactory_3_01KTypeList_3_01T1_00_01T2_01_4_01_4.html</filename>
    <templarg>T1</templarg>
    <templarg>T2</templarg>
    <base>KParts::GenericFactoryBase&lt; T1 &gt;</base>
    <member kind="function">
      <type></type>
      <name>GenericFactory</name>
      <anchorfile>classKParts_1_1GenericFactory_3_01KTypeList_3_01T1_00_01T2_01_4_01_4.html</anchorfile>
      <anchor>725183640e506911bcf67d328edb3a8a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KParts::Part *</type>
      <name>createPartObject</name>
      <anchorfile>classKParts_1_1GenericFactory_3_01KTypeList_3_01T1_00_01T2_01_4_01_4.html</anchorfile>
      <anchor>9b4dddd40485bbb26d8160e57a461533</anchor>
      <arglist>(QWidget *parentWidget, const char *widgetName, QObject *parent, const char *name, const char *className, const QStringList &amp;args)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::HistoryProvider</name>
    <filename>classKParts_1_1HistoryProvider.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>cleared</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>773cbf767203adcd3883af07ab44281f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>updated</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>96c7bcc8ba5f57d99996a2a620af3c2a</anchor>
      <arglist>(const QStringList &amp;items)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>inserted</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>418f0aab09098af5455cfc3e010d8e7a</anchor>
      <arglist>(const QString &amp;item)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>HistoryProvider</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>1e6119d6601c584105acebee8691fdf7</anchor>
      <arglist>(QObject *parent=0L, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~HistoryProvider</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>5010dce731cc28970b5c2fc11a3fc76e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>contains</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>9d74b5ea062146050c7431380d827bff</anchor>
      <arglist>(const QString &amp;item) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>975252ec78a8ac21aa6ac3cc2ef0cc94</anchor>
      <arglist>(const QString &amp;item)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>remove</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>dd40093f598a8f7ec69b2d286b70f6a3</anchor>
      <arglist>(const QString &amp;item)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>36f8b93bc3dd5025d06c81de0a260f60</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static HistoryProvider *</type>
      <name>self</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>c4baef8f8064ddfd1b2a49153fdbd12f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>638e3a17e4a858267ffacc91a0b1f59a</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::MainWindow</name>
    <filename>classKParts_1_1MainWindow.html</filename>
    <base>KMainWindow</base>
    <base virtualness="virtual">KParts::PartBase</base>
    <member kind="function">
      <type></type>
      <name>MainWindow</name>
      <anchorfile>classKParts_1_1MainWindow.html</anchorfile>
      <anchor>594293d36e9d097077b414e97f915d2d</anchor>
      <arglist>(QWidget *parent, const char *name=0L, WFlags f=WType_TopLevel|WDestructiveClose)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MainWindow</name>
      <anchorfile>classKParts_1_1MainWindow.html</anchorfile>
      <anchor>2f4895d9a0b22cd4d26097c11bf3856c</anchor>
      <arglist>(const char *name=0L, WFlags f=WDestructiveClose)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MainWindow</name>
      <anchorfile>classKParts_1_1MainWindow.html</anchorfile>
      <anchor>30fa382d6f9536ea406107175e3c6ee8</anchor>
      <arglist>(int cflags, QWidget *parent, const char *name=0L, WFlags f=WType_TopLevel|WDestructiveClose)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~MainWindow</name>
      <anchorfile>classKParts_1_1MainWindow.html</anchorfile>
      <anchor>3b7acd8b9c232886589322740b78b4f4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>createGUI</name>
      <anchorfile>classKParts_1_1MainWindow.html</anchorfile>
      <anchor>4b4c839b70dc78687f9a77956e7a4393</anchor>
      <arglist>(KParts::Part *part)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotSetStatusBarText</name>
      <anchorfile>classKParts_1_1MainWindow.html</anchorfile>
      <anchor>bfd708193544d7788b222c45ece37421</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>saveNewToolbarConfig</name>
      <anchorfile>classKParts_1_1MainWindow.html</anchorfile>
      <anchor>0abdd7979bc3f25527b8214bd34b0213</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>createShellGUI</name>
      <anchorfile>classKParts_1_1MainWindow.html</anchorfile>
      <anchor>3d980ef7dbbcaedd3b4f0485ae69a78d</anchor>
      <arglist>(bool create=true)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::PartBase</name>
    <filename>classKParts_1_1PartBase.html</filename>
    <base virtualness="virtual">KXMLGUIClient</base>
    <member kind="function">
      <type></type>
      <name>PartBase</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>3da1ebb9dfd5267f1210db28e6c753e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~PartBase</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>1271f5561578d385d58862473ea0dabf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPartObject</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>e83ad8a120ac8b0651be910868c99f00</anchor>
      <arglist>(QObject *object)</arglist>
    </member>
    <member kind="function">
      <type>QObject *</type>
      <name>partObject</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>e19c03431a2e9c0c2737da010ea85c89</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="enumeration">
      <name>PluginLoadingMode</name>
      <anchor>c74565ad920f2b832cbd9934d3f1314c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>DoNotLoadPlugins</name>
      <anchor>c74565ad920f2b832cbd9934d3f1314c01baef4143c860ac84df68d78667e4de</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>LoadPlugins</name>
      <anchor>c74565ad920f2b832cbd9934d3f1314cd35eadf0f287abd0d7ef387d038f4009</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>LoadPluginsIfEnabled</name>
      <anchor>c74565ad920f2b832cbd9934d3f1314cb65b0ebf7ba30c265b9a19ef0654967a</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setInstance</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>b4dc665c1cd07b4f07298d4c4cce118b</anchor>
      <arglist>(KInstance *instance)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setInstance</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>e6b3a89420988efaa05444aa5646e45b</anchor>
      <arglist>(KInstance *instance, bool loadPlugins)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>loadPlugins</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>27bad425df72fb514b66950c683c202d</anchor>
      <arglist>(QObject *parent, KXMLGUIClient *parentGUIClient, KInstance *instance)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setPluginLoadingMode</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>62fd2f32a8054fe636af4b83f698f89a</anchor>
      <arglist>(PluginLoadingMode loadingMode)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PartBasePrivate</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>8674c64a211bc4f784a1e8a7955fb3b1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::Part</name>
    <filename>classKParts_1_1Part.html</filename>
    <base>QObject</base>
    <base>KParts::PartBase</base>
    <member kind="signal">
      <type>void</type>
      <name>setWindowCaption</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>e8796e19540ba1b9d4e828f865572b71</anchor>
      <arglist>(const QString &amp;caption)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>setStatusBarText</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>4fa346864609345478b591dff8bdbb37</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Part</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>88db253d95ca7c739be7855da78bffe4</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Part</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>0582222db1ff991320828b416db1bf41</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>embed</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>1b965d82c604f02adc0d9aed8c3c1a6b</anchor>
      <arglist>(QWidget *parentWidget)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QWidget *</type>
      <name>widget</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>dd8d779c4817a7ba05e19b85503522fd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setManager</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>f88fb41914d635c2af0f23ae41aea1b6</anchor>
      <arglist>(PartManager *manager)</arglist>
    </member>
    <member kind="function">
      <type>PartManager *</type>
      <name>manager</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>248cc37bd4dba1eeb1219c9bb8b97013</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Part *</type>
      <name>hitTest</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>c6ae743dc234cc8babe216c5928c1759</anchor>
      <arglist>(QWidget *widget, const QPoint &amp;globalPos)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setSelectable</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>18967407d4e0047005b8fb886ec193a8</anchor>
      <arglist>(bool selectable)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSelectable</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>bceb0aec18cbd60148b3e3ae67dadff9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setWidget</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>e7a270eeece18aebb8129114add35ace</anchor>
      <arglist>(QWidget *widget)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>customEvent</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>67deedc5db651173880e532dc5fc1a25</anchor>
      <arglist>(QCustomEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>partActivateEvent</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>fe421590cddaefff202b2e29f7f70101</anchor>
      <arglist>(PartActivateEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>partSelectEvent</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>9a94826bb4f023e057c79caa2b7b437e</anchor>
      <arglist>(PartSelectEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>guiActivateEvent</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>b34cd8154d4002c009bfb88ba3f43632</anchor>
      <arglist>(GUIActivateEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QWidget *</type>
      <name>hostContainer</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>ecb0090b117a746ec999f438df3caec0</anchor>
      <arglist>(const QString &amp;containerName)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::ReadOnlyPart</name>
    <filename>classKParts_1_1ReadOnlyPart.html</filename>
    <base>KParts::Part</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual bool</type>
      <name>openURL</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>6c9daacbc37afb9a5e7f2174e027ae73</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>started</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>116d18e98747d5d6cb00d1911e8e8589</anchor>
      <arglist>(KIO::Job *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>completed</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>2c8d5e9217ba4e7301fae2764ebdc72e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>completed</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>bd79742f3f862a08037a03bbbe17eb45</anchor>
      <arglist>(bool pendingAction)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>canceled</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>fa1921dbdc347b0406669c7ae4f4610e</anchor>
      <arglist>(const QString &amp;errMsg)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ReadOnlyPart</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>db584b83c037e3c446f5bf8a5ec992d8</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ReadOnlyPart</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>3b6f25955c1fe883162bbd544009cfec</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setProgressInfoEnabled</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>b658769b62228f237688e698fc6091a9</anchor>
      <arglist>(bool show)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isProgressInfoEnabled</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>1adc180f8ff9dea1f702c6d5b4fec1f6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showProgressInfo</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>468a373ce8ec4aceda7e83cd94249c49</anchor>
      <arglist>(bool show)</arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>url</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>efa1656f6982a00b539145b662113eb6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>closeURL</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>e2639b09af74e3b0b75a04b1cf0c082a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>openStream</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>beb27f33d97c844890e45df81ae019c9</anchor>
      <arglist>(const QString &amp;mimeType, const KURL &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>writeStream</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>a478bdd3e549328618533a5bf082867b</anchor>
      <arglist>(const QByteArray &amp;data)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>closeStream</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>334e4542029a130e9ec787b7871f32b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotJobFinished</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>88dafb9b764f058683d4554793c69eb3</anchor>
      <arglist>(KIO::Job *job)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual bool</type>
      <name>openFile</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>393d6954049cb234c02daa6d4d0756eb</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>abortLoad</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>e9de8a4e040be785222655304dc0f32b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>guiActivateEvent</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>588ec03e6f2e348076d10d7f2a971fd2</anchor>
      <arglist>(GUIActivateEvent *event)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KURL</type>
      <name>m_url</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>fc243bac90f28fc6126f8d89da0f2541</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_file</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>2f15a144271734fcb2a552a59c354e24</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_bTemp</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>5f69071ef58ce47c6357d22d4b0aec46</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>ReadWritePart</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>0a4159b5d4946f609b737889885ef449</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::ReadWritePart</name>
    <filename>classKParts_1_1ReadWritePart.html</filename>
    <base>KParts::ReadOnlyPart</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setModified</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>c5929a612b631631eddf8772408a07ea</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual bool</type>
      <name>save</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>d834ab6b640c34f417957cad2d2cf788</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>waitSaveComplete</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>689df2bc6083230461a13bada5ce5565</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sigQueryClose</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>e9fc09ce64986f4aa5402c8cd9202542</anchor>
      <arglist>(bool *handled, bool *abortClosing)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ReadWritePart</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>2ec6e3daa27ec30a0483fdbeccc545eb</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ReadWritePart</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>3c32076f0af902d3306e0c7e4b63c435</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isReadWrite</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>3e1ccf0b20c484e12f2d9acc2f6f4570</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setReadWrite</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>7959117244a1ff28aba939224862a0a5</anchor>
      <arglist>(bool readwrite=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isModified</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>84e4fbe40e30649c5f37adc74c414002</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>queryClose</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>5ae925e2aec59375c257864206d8feba</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>closeURL</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>a4f6339471f4bc48aa86c2f37aa41c1d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>closeURL</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>4304b86a7c0a97a97ab4ae93e3a4680b</anchor>
      <arglist>(bool promptToSave)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>saveAs</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>51324378bebc261d38862197845c290f</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setModified</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>d6824dbeb4bac6fcd16a3c0a3a2bba54</anchor>
      <arglist>(bool modified)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotUploadFinished</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>4c0bfba7218c7ce42d9198f907888efd</anchor>
      <arglist>(KIO::Job *job)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual bool</type>
      <name>saveFile</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>7cd0b462966dd30c770765eda0e7defe</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>saveToURL</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>39df31e1e239713133997aea5632fd69</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::PartManager</name>
    <filename>classKParts_1_1PartManager.html</filename>
    <base>QObject</base>
    <member kind="enumeration">
      <name>SelectionPolicy</name>
      <anchor>848d2318873e10ba505107e3d0be80c0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Direct</name>
      <anchor>848d2318873e10ba505107e3d0be80c04b3e9ac05ab4741e2fd376cf8463fe68</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>TriState</name>
      <anchor>848d2318873e10ba505107e3d0be80c0c7aadf626ca07a5c05a1225f9687ba0b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>Reason</name>
      <anchor>8c149f41d3a349bb43e111451e448cdc</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ReasonLeftClick</name>
      <anchor>8c149f41d3a349bb43e111451e448cdc71bd8c87dc47b952fbd34664349df0eb</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ReasonMidClick</name>
      <anchor>8c149f41d3a349bb43e111451e448cdcf258e509c588a737b8a8b990d13952b2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ReasonRightClick</name>
      <anchor>8c149f41d3a349bb43e111451e448cdcdc6987dc50ca910b74b28e3c438a2c15</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NoReason</name>
      <anchor>8c149f41d3a349bb43e111451e448cdce25afda10487d706bbd9d5cfe203624a</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>partAdded</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>2db9110aed4660000247c1db4c655efa</anchor>
      <arglist>(KParts::Part *part)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>partRemoved</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>52fc2f2058651f018864b1fa7f217a9e</anchor>
      <arglist>(KParts::Part *part)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>activePartChanged</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>7d20c687d994b65b1e776e96d9204c20</anchor>
      <arglist>(KParts::Part *newPart)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PartManager</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>5cad3ec70676ac2f4168ea4358f4a647</anchor>
      <arglist>(QWidget *parent, const char *name=0L)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PartManager</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>aa853ce9d6486943002135aef202298c</anchor>
      <arglist>(QWidget *topLevel, QObject *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~PartManager</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>1f4bb83abaddcacca5aa57a6707664e2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSelectionPolicy</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>c9660e00b484717c8762bd3e4284f72a</anchor>
      <arglist>(SelectionPolicy policy)</arglist>
    </member>
    <member kind="function">
      <type>SelectionPolicy</type>
      <name>selectionPolicy</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a73c15466a73dcb5020b8ee1445c4019</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAllowNestedParts</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>dedbb991e2f07b9131f2f6335fea73b5</anchor>
      <arglist>(bool allow)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>allowNestedParts</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>f6c40793b1a18b487bb732ddcfc1ca98</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIgnoreScrollBars</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>e6be84cead256e5947b067a69e39c5b3</anchor>
      <arglist>(bool ignore)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>ignoreScrollBars</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>e5fc9e8a04295dd040da3e2c0a580b67</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActivationButtonMask</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>ca0935f7f81b8748b21380fabd878d23</anchor>
      <arglist>(short int buttonMask)</arglist>
    </member>
    <member kind="function">
      <type>short int</type>
      <name>activationButtonMask</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>8698e59bcc0bd5303552f7d977a591a1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventFilter</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>48be62a19d4ce5dc6bcfdfcdfe37fd10</anchor>
      <arglist>(QObject *obj, QEvent *ev)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addPart</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>b53d1a0f5912894916ad18a31733ae46</anchor>
      <arglist>(Part *part, bool setActive=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>removePart</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>5bc0f21787710666f22e012078e8b03a</anchor>
      <arglist>(Part *part)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>replacePart</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>d709674f493e9962ec96aa3589ecb487</anchor>
      <arglist>(Part *oldPart, Part *newPart, bool setActive=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setActivePart</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>35a3209a3145cb75733955428d910242</anchor>
      <arglist>(Part *part, QWidget *widget=0L)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Part *</type>
      <name>activePart</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>3140c4494b04379475b86d5db35f45f1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QWidget *</type>
      <name>activeWidget</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>166083a6ed958549aa3c7433467f0cad</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setSelectedPart</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>ae488bb9b25b91add0f29b9964c21d53</anchor>
      <arglist>(Part *part, QWidget *widget=0L)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Part *</type>
      <name>selectedPart</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a307baa9df1fbbf99c727ccd87201746</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QWidget *</type>
      <name>selectedWidget</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>ec69788b6992281bd356ded314ef965d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QPtrList&lt; Part &gt; *</type>
      <name>parts</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>5ad682fdb57e0f2871392a3527b066a1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addManagedTopLevelWidget</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>e815cf8f8bc3fbc3d125bb6e2ac2436c</anchor>
      <arglist>(const QWidget *topLevel)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeManagedTopLevelWidget</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>6b90d8f5fa91828d44cb083dac59a7f8</anchor>
      <arglist>(const QWidget *topLevel)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>reason</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>f00710d99c3851aaa6d89e03f978f681</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotObjectDestroyed</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>fcb2d3a101f1015e75f50350ace03f82</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotWidgetDestroyed</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>e5983f216ca96875cfcbae68cff6b0a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotManagedTopLevelWidgetDestroyed</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>81ea4d963c0d58a04f1e1273360edd23</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setActiveInstance</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>cf8dd3db0c962d1673cb375708debb62</anchor>
      <arglist>(KInstance *instance)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>717d44f9eb6e2d7ddf8079a75f90007f</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
    <member kind="property">
      <type>SelectionPolicy</type>
      <name>selectionPolicy</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>f3061d4ce8f420f36afcbac64a64386b</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>bool</type>
      <name>allowNestedParts</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>c6b34a75707476508a1faefa19c386b2</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>bool</type>
      <name>ignoreScrollBars</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>ec97d4b7e05dfbda34d5389440e7345c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::Plugin</name>
    <filename>classKParts_1_1Plugin.html</filename>
    <base>QObject</base>
    <base virtualness="virtual">KXMLGUIClient</base>
    <member kind="function">
      <type></type>
      <name>Plugin</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>bf44647eacc3f446af4cea2de507e499</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Plugin</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>8842d4c53004230c267ba5b5b748794d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>xmlFile</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>32143c3eb85f6d7b20b46a25a84223e7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>localXMLFile</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>0c6b1f99734033d034c87285f059fa1c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>loadPlugins</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>613cc411cbf35461a0eeca784e2698fa</anchor>
      <arglist>(QObject *parent, const KInstance *instance)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>loadPlugins</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>65e34edbca3d6191cf5e3173d9760dfc</anchor>
      <arglist>(QObject *parent, const QValueList&lt; PluginInfo &gt; &amp;pluginInfos)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>loadPlugins</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>db7933aab362aedbea8d8b2d1b8dfdc4</anchor>
      <arglist>(QObject *parent, const QValueList&lt; PluginInfo &gt; &amp;pluginInfos, const KInstance *instance)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>loadPlugins</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>024b32fc63daa463124055735cdfaf2e</anchor>
      <arglist>(QObject *parent, KXMLGUIClient *parentGUIClient, KInstance *instance, bool enableNewPluginsByDefault=true)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QPtrList&lt; Plugin &gt;</type>
      <name>pluginObjects</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>68d8c234e285dd6f60a5315301c88ba1</anchor>
      <arglist>(QObject *parent)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setInstance</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>9b1a7af7999a23783bc8fe66149086d6</anchor>
      <arglist>(KInstance *instance)</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static QValueList&lt; Plugin::PluginInfo &gt;</type>
      <name>pluginInfos</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>ad8984e7f85fce0f75abc6795cfb704f</anchor>
      <arglist>(const KInstance *instance)</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static Plugin *</type>
      <name>loadPlugin</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>de8f60fd45d4e00189a66d0b0a0c6bd1</anchor>
      <arglist>(QObject *parent, const char *libname)</arglist>
    </member>
    <class kind="struct">KParts::Plugin::PluginInfo</class>
  </compound>
  <compound kind="struct">
    <name>KParts::Plugin::PluginInfo</name>
    <filename>structKParts_1_1Plugin_1_1PluginInfo.html</filename>
    <member kind="variable">
      <type>QString</type>
      <name>m_relXMLFileName</name>
      <anchorfile>structKParts_1_1Plugin_1_1PluginInfo.html</anchorfile>
      <anchor>9968d1065ef96c340c3f74e6e556767e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>m_absXMLFileName</name>
      <anchorfile>structKParts_1_1Plugin_1_1PluginInfo.html</anchorfile>
      <anchor>a0365a234387fd44b21c5790b04ea742</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QDomDocument</type>
      <name>m_document</name>
      <anchorfile>structKParts_1_1Plugin_1_1PluginInfo.html</anchorfile>
      <anchor>01fdcc55dfd52abf14b1338c5ad7cf0b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::StatusBarExtension</name>
    <filename>classKParts_1_1StatusBarExtension.html</filename>
    <base>QObject</base>
    <member kind="function">
      <type></type>
      <name>StatusBarExtension</name>
      <anchorfile>classKParts_1_1StatusBarExtension.html</anchorfile>
      <anchor>e42de651238064e97f93a5e5e12e6af6</anchor>
      <arglist>(KParts::ReadOnlyPart *parent, const char *name=0L)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~StatusBarExtension</name>
      <anchorfile>classKParts_1_1StatusBarExtension.html</anchorfile>
      <anchor>a0002a5396309a0e6190c34512bcf2d7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addStatusBarItem</name>
      <anchorfile>classKParts_1_1StatusBarExtension.html</anchorfile>
      <anchor>63745237080434a2f5f0a90e812cb4af</anchor>
      <arglist>(QWidget *widget, int stretch, bool permanent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeStatusBarItem</name>
      <anchorfile>classKParts_1_1StatusBarExtension.html</anchorfile>
      <anchor>4f5c1af83a3761b95652d6ce39f55754</anchor>
      <arglist>(QWidget *widget)</arglist>
    </member>
    <member kind="function">
      <type>KStatusBar *</type>
      <name>statusBar</name>
      <anchorfile>classKParts_1_1StatusBarExtension.html</anchorfile>
      <anchor>33feede499b5e5dce8b718b2e2a4e229</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStatusBar</name>
      <anchorfile>classKParts_1_1StatusBarExtension.html</anchorfile>
      <anchor>b4f3a0cd48e8e0521c05df675d812b52</anchor>
      <arglist>(KStatusBar *status)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventFilter</name>
      <anchorfile>classKParts_1_1StatusBarExtension.html</anchorfile>
      <anchor>8ec4d7845b8aa256ee76c62d50646386</anchor>
      <arglist>(QObject *watched, QEvent *ev)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static StatusBarExtension *</type>
      <name>childObject</name>
      <anchorfile>classKParts_1_1StatusBarExtension.html</anchorfile>
      <anchor>6608139565fcb773132068291afc272b</anchor>
      <arglist>(QObject *obj)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KParts::ComponentFactory</name>
    <filename>namespaceKParts_1_1ComponentFactory.html</filename>
    <member kind="enumeration">
      <name>ComponentLoadingError</name>
      <anchor>a176fe879c7bda2a86c141dcae39c965</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ErrNoServiceFound</name>
      <anchor>a176fe879c7bda2a86c141dcae39c965b700e44811c3de6ab9f661f771d206d0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ErrServiceProvidesNoLibrary</name>
      <anchor>a176fe879c7bda2a86c141dcae39c9653855b6ed562debd87ab32f822203c23a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ErrNoLibrary</name>
      <anchor>a176fe879c7bda2a86c141dcae39c965f4a917c2c737c4afb769bc594978f454</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ErrNoFactory</name>
      <anchor>a176fe879c7bda2a86c141dcae39c965195e7b019213431f6c4f3a08ae2cce89</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ErrNoComponent</name>
      <anchor>a176fe879c7bda2a86c141dcae39c9657d8dd35b86b72b0201969a59d4119aac</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T *</type>
      <name>createInstanceFromFactory</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>9d700e3f7737ee5f567f5c5c28c0a2c9</anchor>
      <arglist>(KLibFactory *factory, QObject *parent=0, const char *name=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T *</type>
      <name>createPartInstanceFromFactory</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>779f1ec034f48d423ef170ca249f7dd7</anchor>
      <arglist>(KParts::Factory *factory, QWidget *parentWidget=0, const char *widgetName=0, QObject *parent=0, const char *name=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T *</type>
      <name>createInstanceFromLibrary</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>ffdf5363ae7514f48bed2ad44ce14515</anchor>
      <arglist>(const char *libraryName, QObject *parent=0, const char *name=0, const QStringList &amp;args=QStringList(), int *error=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T *</type>
      <name>createPartInstanceFromLibrary</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>f2263711fdfafbfb5047b7e8136a0a05</anchor>
      <arglist>(const char *libraryName, QWidget *parentWidget=0, const char *widgetName=0, QObject *parent=0, const char *name=0, const QStringList &amp;args=QStringList(), int *error=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T *</type>
      <name>createInstanceFromService</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>fbfaea14e62fda74f746582fb8b9a4db</anchor>
      <arglist>(const KService::Ptr &amp;service, QObject *parent=0, const char *name=0, const QStringList &amp;args=QStringList(), int *error=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T *</type>
      <name>createPartInstanceFromService</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>332c511d23d71f919b880cb83415f58a</anchor>
      <arglist>(const KService::Ptr &amp;service, QWidget *parentWidget=0, const char *widgetName=0, QObject *parent=0, const char *name=0, const QStringList &amp;args=QStringList(), int *error=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T *</type>
      <name>createInstanceFromServices</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>2d48d03d9574aae33e936b130ff48646</anchor>
      <arglist>(ServiceIterator begin, ServiceIterator end, QObject *parent=0, const char *name=0, const QStringList &amp;args=QStringList(), int *error=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T *</type>
      <name>createPartInstanceFromServices</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>a2b523cea065894855c62bd925e28471</anchor>
      <arglist>(ServiceIterator begin, ServiceIterator end, QWidget *parentWidget=0, const char *widgetName=0, QObject *parent=0, const char *name=0, const QStringList &amp;args=QStringList(), int *error=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T *</type>
      <name>createInstanceFromQuery</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>384edd295522844b260099b6d9327f5d</anchor>
      <arglist>(const QString &amp;serviceType, const QString &amp;constraint=QString::null, QObject *parent=0, const char *name=0, const QStringList &amp;args=QStringList(), int *error=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T *</type>
      <name>createPartInstanceFromQuery</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>65341164eac2ce09da0178a56ffdc935</anchor>
      <arglist>(const QString &amp;serviceType, const QString &amp;constraint, QWidget *parentWidget=0, const char *widgetName=0, QObject *parent=0, const char *name=0, const QStringList &amp;args=QStringList(), int *error=0)</arglist>
    </member>
  </compound>
</tagfile>
